GetAccountNet
POST
Query bandwidth information.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.Request Body
addressstringrequired
Account address. (Format: Base58 or Hex). Example: TUoHaVjx7n5xz8LwPRDckgFrDWhMhuSuJMvisibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)Responses
freeNetUsedint64
Amount of free Bandwidth used by the account.freeNetLimitint64
Total free Bandwidth limit for the account.NetUsedint64
Amount of staked Bandwidth used by the account.NetLimitint64
Total Bandwidth obtained by staking.TotalNetLimitint64
Total Bandwidth can be obtained by staking by the entire network.TotalNetWeightint64
Total amount of TRX staked for Bandwidth by the entire network.assetNetUsedmap\<string, int64>
Account's free Bandwidth used for TRC-10 tokens, keyed by Token ID.assetNetLimitmap\<string, int64>
Account's free Bandwidth limits for TRC-10 tokens, keyed by Token ID.cURL
curl -X POST 'https://tron-mainnet.nodit.io/wallet/getaccountnet' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"address": "TUoHaVjx7n5xz8LwPRDckgFrDWhMhuSuJM"}'